Results 1 to 8 of 8

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: SpiritJB 3.1.3 impossible to upgrade to 4.3.3? (PLEASE HELP CONFIRM)

  1. #1
    Default SpiritJB 3.1.3 impossible to upgrade to 4.3.3? (PLEASE HELP CONFIRM)
    Hey all...anyone want to help confirm this info?

    iPhone 3gs
    Spirit Jailbroken
    3.1.3
    05.12.01 baseband
    Serial 82949XXXXXX (new bootrom)

    IMPOSSIBLE to upgrade to a jailbroken and unlockable iOS 4.X.X?
    Let me know what you guys would do in this situation with the knowledge you have.
    Thank you in advance.


    UPDATES:

    6.15 ipad baseband fix is a possibility, however too impractical too use
    JailbreakTable.pdf suggests 4.0.2 which i will look further into
    Lastly, perhaps downgrading to 3.1.2 to upgrade to 4.X.X?

  2. #2
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Don't install ipad baseband as you have an unlockable baseband. You want to preserve it by restoring to custom firmware of 4.3.3

  3. The Following User Says Thank You to iYeow For This Useful Post:

    metaldoom (2011-07-05)

  4. #3
    Good to hear from the expert

    I agree with you on the baseband my man...
    However iTunes will not enable me to load custom firmware when in DFU mode. It may be my new bootrom.
    I'll report back with the iTunes errors

  5. #4
    Retired Moderator Orby's Avatar
    Join Date
    Aug 2010
    Location
    Omicron Persei Eight
    Posts
    5,851
    Thanks
    42
    Thanked 699 Times in 594 Posts

    Quote Originally Posted by metaldoom View Post
    Good to hear from the expert

    I agree with you on the baseband my man...
    However iTunes will not enable me to load custom firmware when in DFU mode. It may be my new bootrom.
    I'll report back with the iTunes errors
    You'll need to make sure you're in "Pwned DFU" (the DFU mode from the button in redsn0w or PwnageTool) before trying to load a custom firmware via iTunes. The new bootrom 3GS are the same as the old ones in this regard (for custom 4.x firmwares). If you're continuing to get errors when you're doing that, please do post the error(s) and their logs.

  6. The Following User Says Thank You to Orby For This Useful Post:

    metaldoom (2011-07-07)

  7. #5
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Yeah, pwned dfu (not a normal dfu mode ) is what you need to do before itunes can accept any custom firmware.

  8. The Following User Says Thank You to iYeow For This Useful Post:

    metaldoom (2011-07-07)

  9. #6
    I was already doing pwned dfu from the beginning, c'mon now LOL. JK I appreciate the help. Thanks you guys.
    But hey I found the solution, please share it with everyone as you guys are the total forefront to friendly jb support.
    BTW the error was Device isn't Elegible for the Requested Build

    YouTube - ‪HOW TO: Fix iTunes iOS 4 Downgrade Error "Device isn't Elegible for the Requested Build"‬‏
    As the comments say... " delete the numbers instead " and " It works when I delete the 74.208.10.249 gs.apple.com "

    -I personally used the most current version of iTunes (10.3.1 on a mac) and Pwnage 4.3.3 to create the custom fw and to dfu
    Good Luck All

  10. #7
    thanks again for the help. everything has been running smoothly

  11. #8
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    You are welcome but now if you were to restore, you need to run tss server with saved shsh or you will get error 3194 as apple has stops signing 4.3.3.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •